<?php


set_time_limit (3600 );

define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
//define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema



$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



$fechaHoy=  date('Y-m-d');


$sql = "SELECT *
		FROM `cr_balance_dia`
		WHERE 	1  		and FechaCierre>= '2021-01-13' and FechaCierre < '2021-04-14'		and idsucursal = 3		and UsuarioRegistro='system'";
	
	echo $sql;	
	//echo "<br>";			
$result_s = mysql_query($sql,$con);
$num_rows_s = mysql_num_rows($result_s);
				
if($num_rows_s > 0){
  while ($o_valor_s = mysql_fetch_object($result_s)) {
	$IdSucursal = $o_valor_s->IdSucursal;
	$IdAdministrador = $o_valor_s->IdAdministrador;
	$NombreSucursal = $o_valor_s->Descripcion;
	$fechaCierre = $o_valor_s->FechaCierre;
	$sql = "SELECT *
			FROM `cr_balance_dia_detalle`
			WHERE 	`IdSucursal` = '".$IdSucursal."' 
					and FechaBalance = '".$fechaCierre."' ";
	//echo $sql;	
	echo "<br>";	echo "<br>";
	$result_bd = mysql_query($sql,$con);
	
	//echo $result_bd;	
	//echo "c------<br>".$NombreSucursal;
	$num_rows_bd = mysql_num_rows($result_bd);
	
		if($num_rows_bd > 0){		$totalDia = 0;		while ($o_valor_d = mysql_fetch_object($result_bd)) {			$FechaBalance = $o_valor_d->FechaBalance; 			$SumaTotal = $o_valor_d->SumaTotal; 			$IdSucursal = $o_valor_d->IdSucursal; 
		
			$totalDia += $SumaTotal;		
		//Fin Cierre del Balnace General
		}			$sql = "UPDATE `cr_balance_dia`				SET `TotalDia` = '".$totalDia."' 			WHERE 	`IdSucursal` = '".$IdSucursal."' 					and FechaCierre= '".$FechaBalance."' ";		/* echo $sql.";<br><br>";	*/						$sql = "UPDATE `cr_balance_general`				SET `TotalBalanceDia` = '".$totalDia."' 			WHERE 	`IdSucursal` = '".$IdSucursal."' 					and Fecha= '".$FechaBalance."' ";		/*echo $sql.";<br>";*/					$sql = "UPDATE `cr_balance_general`				SET `Total` = TotalBalanceDia - TotalGastoGeneral + TotalIngreso -TotaladelantoSueldo				WHERE 	`IdSucursal` = '".$IdSucursal."' 					and Fecha= '".$FechaBalance."' ";		echo $sql.";<br>";		
	}
}  


}





exit;

